function objetoAjax(){
	var xmlhttp=false;
	try {
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
		try {
		   xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		} catch (E) {
			xmlhttp = false;
  		}
	}

	if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

//mostrar datos con una consultas encviando el dato a buscar
function nuevoAjax(){
        var xmlhttp=false;
        try{
                xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
        }catch(e){
                try {
                        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
                }catch(E){
                        xmlhttp = false;
                }
        }
        if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
                xmlhttp = new XMLHttpRequest();
        }
        return xmlhttp;
}

function jq_busca_datos_parametros(documento,tabla){
		doc = documento;
		formulario="consulta";
		$.ajax({
		   type: "POST",
		   url: "frm_consulta_parametros.php",
		   data: "doc="+doc+"&tabla="+tabla,
		   success: function(resultado){
			   eval(resultado);
			}
		});
	}
	

function buscarDatostabla(tabla){
        resul = document.getElementById('resultado');
        ajax=nuevoAjax();
        ajax.open("POST", "frm_reporte_parametros.php",true);
        ajax.onreadystatechange=function() {
                if (ajax.readyState==4) {
                        resul.innerHTML = ajax.responseText
                }
        }
        ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");		
		ajax.send("tabla="+tabla);
}


//+++++++++++++++++++++++++++++++++++++++ procesos generales +++++++++++++++++++++++++++++++++++++
function enviarDatos_guardar_parametros(tabla){
	divResultado = document.getElementById('resultado');
	nombre=document.parametros.nombre.value;
	descripcion=document.parametros.descripcion.value;
	preciounitario=document.parametros.preciounitario.value;
	precioventa=document.parametros.precioventa.value;
	productofamilia=document.parametros.productofamilia.value;
	marca=document.parametros.marca.value;
	iva=document.parametros.iva.value;
	codigobarra=document.parametros.codigobarra.value;
	
	accion='guardar';
	ajax=objetoAjax();
	ajax.open("POST", "frm_registrar_parametros.php",true);
	ajax.onreadystatechange=function() {
		if (ajax.readyState==4) {
			divResultado.innerHTML = ajax.responseText
		}
	}
	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	ajax.send("nombre="+nombre+"&descripcion="+descripcion+"&preciounitario="+preciounitario+"&precioventa="+precioventa+"&codigobarra="+codigobarra+"&iva="+iva+"&marca="+marca+"&productofamilia="+productofamilia+"&tabla="+tabla+"&accion="+accion)	
}


function enviarDatos_modificar_parametros(tabla){
	divResultado = document.getElementById('resultado');
	id=document.parametros.id.value;			
	nombre=document.parametros.nombre.value;
	descripcion=document.parametros.descripcion.value;
	preciounitario=document.parametros.preciounitario.value;
	precioventa=document.parametros.precioventa.value;
	productofamilia=document.parametros.productofamilia.value;
	marca=document.parametros.marca.value;
	iva=document.parametros.iva.value;
	codigobarra=document.parametros.codigobarra.value;
	estado=document.parametros.estado.value;

	accion='modifica';
	ajax=objetoAjax();
	ajax.open("POST", "frm_registrar_parametros.php",true);
	ajax.onreadystatechange=function() {
		if (ajax.readyState==4) {
			divResultado.innerHTML = ajax.responseText
			//LimpiarCampos();
		}
	}
	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	ajax.send("nombre="+nombre+"&id="+id+"&estado="+estado+"&descripcion="+descripcion+"&preciounitario="+preciounitario+"&precioventa="+precioventa+"&codigobarra="+codigobarra+"&iva="+iva+"&marca="+marca+"&productofamilia="+productofamilia+"&tabla="+tabla+"&accion="+accion)	

}
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function pregunta_guardar_parametros(tabla){ 
   
    if (confirm('¿Está seguro de Guardar el registro?')== false)
	    { return false; }  
	else
	  { retorno_valida=valida_campos_parametros();
	    if(retorno_valida==false){return false;}
	    else{ enviarDatos_guardar_parametros(tabla); return true;
		}
	  }   
} 

function pregunta_modificar_parametros(tabla){ 
    if (confirm('¿Está seguro de Modificar ?') == false)
	  {  return false; } 
	else
	  { 
	   retorno_valida=valida_campos_parametros();
	    if(retorno_valida==false){return false;}
	    else{ enviarDatos_modificar_parametros(tabla); return true;
		}
	  }   
} 


function valida_campos_parametros()
{   var mensaje='';
 
	 if(document.parametros.nombre.value!=''){}
	 else {mensaje=mensaje + 'Falta digitar el nombre,';    }
	 if(document.parametros.descripcion.value!=''){}
	 else {mensaje=mensaje + 'Falta digitar la descripcion,';    }
	 if(document.parametros.preciounitario.value!=''){}
	 else {mensaje=mensaje + 'Falta digitar el precio unitario,';    }
	 if(document.parametros.precioventa.value!=''){}
	 else {mensaje=mensaje + 'Falta digitar el precio venta,';    }
	 if(document.parametros.productofamilia.value>0){}
	 else {mensaje=mensaje + 'Falta digitar la familia,';    }
	 if(document.parametros.marca.value>0){}
	 else {mensaje=mensaje + 'Falta digitar la  marca,';    }

	
	if(document.parametros.nombre.value!='' && document.parametros.descripcion.value!='' && 
		document.parametros.preciounitario.value!='' && document.parametros.precioventa.value!='' && 
		document.parametros.productofamilia.value>0 && document.parametros.marca.value>0){return true;}
	else {
		  alert(mensaje);
		  return false;
		 }	

}

function LimpiarCampossalida(mensaje)
{
}

function LimpiarCampos_parametros(mensaje)
{
 document.parametros.nombre.value='';
 document.parametros.descripcion.value='';
 document.parametros.preciounitario.value='';
 document.parametros.precioventa.value='';
 document.parametros.productofamilia.value=0;
 document.parametros.marca.value=0;
 document.parametros.iva.value=0;
 document.parametros.codigobarra.value='';
 document.parametros.id.value='';
}


